Loading...
Searching...
No Matches
XrdCl::Resp< void > Struct Reference

`#include <XrdClOperationHandlers.hh>`

Inheritance diagram for XrdCl::Resp< void >:
Collaboration diagram for XrdCl::Resp< void >:

## Static Public Member Functions

static ResponseHandler * | Create (std::function< void(XRootDStatus &)> func)
static ResponseHandler * | Create (std::function< void(XRootDStatus &, HostList &)> func)
template<typename Return>
static ResponseHandler * | Create (std::packaged_task< Return(XRootDStatus &)> &task)
Static Public Member Functions inherited from XrdCl::RespBase< void >
static ResponseHandler * | Create (ResponseHandler *hdlr)

## Detailed Description

Factory class, overloads Resp for void type

- Response : response type

Definition at line 720 of file XrdClOperationHandlers.hh.

## Member Function Documentation

## Create() [1/3]

ResponseHandler * XrdCl::Resp< void >::Create | ( | std::function< void(XRootDStatus &)> | func | ) |

inline static

A factory method

Parameters

  func | : the function/functor/lambda that should be wrapped

Returns
  : SimpleFunctionWrapper instance

Definition at line 728 of file XrdClOperationHandlers.hh.

{
return new FunctionWrapper<void>( func );
}
XrdCl::Resp
Definition XrdClOperationHandlers.hh:670

## Create() [2/3]

ResponseHandler * XrdCl::Resp< void >::Create | ( | std::function< void(XRootDStatus &, HostList &)> | func | ) |

inline static

A factory method

Parameters

  func | : the function/functor/lambda that should be wrapped

Returns
  : SimpleFunctionWrapper instance

Definition at line 739 of file XrdClOperationHandlers.hh.

{
return new FunctionWrapper<void>( func );
}

## Create() [3/3]

template<typename Return>

ResponseHandler * XrdCl::Resp< void >::Create | ( | std::packaged_task< Return(XRootDStatus &)> & | task | ) |

inline static

A factory method

Parameters

  task | : the task that should be wrapped

Returns
  : TaskWrapper instance

Definition at line 751 of file XrdClOperationHandlers.hh.

{
return new TaskWrapper<void, Return>( std::move( task ) );
}

The documentation for this struct was generated from the following file:

- XrdClOperationHandlers.hh